<?php
/*
Plugin Name: itsupportguides.com limit plugins
Description: Limit plugins from running on specified pages.
Version: 1.0.0
Author: IT Support Guides
Author URI: itsupportguides.com
*/

add_filter( 'option_active_plugins', 'itsg_limit_plugins' );

 function itsg_limit_plugins( $plugins ){
	$plugins_not_needed = array();
	
	$page = parse_url( $_SERVER['REQUEST_URI'], PHP_URL_PATH );

    if( $page !== '/contact/' && !is_admin() ) {
		array_push($plugins_not_needed,
			'gravityforms/gravityforms.php' // Gravity Forms
		);
	} 
	 	 
	 foreach ( $plugins_not_needed as $plugin ) {
		 $key = array_search( $plugin, $plugins );
		 if ( false !== $key ) {
		 
			unset( $plugins[ $key ] );
		 }
	 }
	 
	 return $plugins;
 }